using System;
using System.Collections.Generic;
using System.Text;

namespace MVVMDemo.Model
{
  [Serializable]
  public class Person
  {
    private string _lastname;
    private string _firstname;
    private DateTime _birthdate;

    public Person(string firstName, string lastName, DateTime birthdate)
    {
      _firstname = firstName;
      _lastname = lastName;
      _birthdate = birthdate;
    }

    public Person() { }

    public string Lastname
    {
      get { return _lastname; }
      set { _lastname = value; }
    }

    public string Firstname
    {
      get { return _firstname; }
      set { _firstname = value; }
    }

    public DateTime Birthdate
    {
      get { return _birthdate; }
      set { _birthdate = value; }
    }

    public override string ToString()
    {
      return string.Format("{0}, {1}, {2}", Firstname, Lastname, Birthdate);
    }

  }
}
