using System;
using System.Collections.Generic;
using System.Text;
using MVVMDemo.Model;


namespace MVVMDemo.ViewModel
{
  /// <summary>
  /// Dieses Interface wird vom MainViewModel verwendet, 
  /// um die die Daten - also das Model - zu beziehen und zur
  /// Datenquelle zurckzuschreiben.
  /// </summary>
  public interface IPersonDataProvider
  {
    List<Person> GetPersons();
    void InsertPerson(Person person);
    void UpdatePerson(Person person);
    void DeletePerson(Person person);
  }
}
